Name:       it87
Version:    1.0
Release:    4.el5.elrepo
Group:      System Environment/Kernel
License:    GPL v2
Summary:    CentOS-5 IT87 Super I/O Sensor module
URL:        http://www.kernel.org/

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
ExclusiveArch: i686 x86_64

# Sources
Source0:  it87-2.6.22.19.tar.bz2
Source10: kmodtool-%{name}

# If kversion isn't defined on the rpmbuild line, build against the current kernel.
%{!?kversion: %define kversion %(uname -r)}

# Define the variants for each architecture.
%define basevar ""
%ifarch i686
%define paevar PAE
%endif
%ifarch i686 x86_64
%define xenvar xen
%endif

# If kvariants isn't defined on the rpmbuild line, build all variants for this architecture.
%{!?kvariants: %define kvariants %{?basevar} %{?xenvar} %{?paevar}}

# Magic hidden here.
%define kmodtool sh %{SOURCE10}
%{expand:%(%{kmodtool} rpmtemplate_kmp %{name} %{kversion} %{kvariants} 2>/dev/null)}

%description
This package provides the it87 kernel module backported from kernel
2.6.22.19 adding support for IT8716F and IT8718F Super I/O chip
w/LPC interface for CentOS 5.2 series kernels. It is built to depend
upon the specific ABI provided by a range of releases of the same
variant of the CentOS kernel and not on any one specific build.

%prep
%setup -q -c -T -a 0
for kvariant in %{kvariants} ; do
    cp -a it87-2.6.22.19 _kmod_build_$kvariant
done

%build
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules M=$PWD
    popd
done

%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=extra/%{name}
for kvariant in %{kvariants} ; do
    ksrc=%{_usrsrc}/kernels/%{kversion}${kvariant:+-$kvariant}-%{_target_cpu}
    pushd _kmod_build_$kvariant
    make -C "${ksrc}" modules_install M=$PWD
    install -d ${INSTALL_MOD_PATH}/usr/lib/debug
    popd
done

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Mar 28 2009 Philip J Perry <phil@elrepo.org>
- Rebuilt for elrepo release. 1.0-4.el5.elrepo

* Fri Dec 26 2008 Philip J Perry <ned@unixmail.co.uk>
- Rebuilt against base CentOS-5 kernel for release. 1.0-3.el5

* Sun Jul 27 2008 Philip J Perry <ned@unixmail.co.uk>
- Fixed weak-updates priority override in kmodtool-it87. 1.0-2.92.1.6.el5

* Tue Jul 22 2008 Philip J Perry <ned@unixmail.co.uk>
- Initial RPM build. 1.0-1.92.1.6.el5
- Backport from kernel 2.6.22.19 adding support for IT8716F and IT8718F.
